version: '3'

services:
  netdata:
    image: netdata/netdata
    container_name: netdata
    hostname: ${HOST_NAME}
    restart: unless-stopped
    cap_add:
      - SYS_PTRACE
    security_opt:
      - apparmor:unconfined
    volumes:
      - netdataconfig:/etc/netdata
      - netdatalib:/var/lib/netdata
      - netdatacache:/var/cache/netdata
      - /etc/passwd:/host/etc/passwd:ro
      - /etc/group:/host/etc/group:ro
      - /proc:/host/proc:ro
      - /sys:/host/sys:ro
      - /etc/os-release:/host/etc/os-release:ro
    deploy:
      mode: replicated
      replicas: 1
      labels:
        - traefik.enable=true
        - traefik.http.services.${SERVICE_NAME}.loadbalancer.server.port=19999
        - traefik.http.routers.${SERVICE_NAME}.rule=Host(`${URL}`)
        - traefik.http.routers.${SERVICE_NAME}.tls=true
        - traefik.http.routers.${SERVICE_NAME}.tls.certresolver=cert-resolver
        - traefik.http.routers.${SERVICE_NAME}.entrypoints=websecure
    environment:
      - DO_NOT_TRACK=1
    networks:
      - traefik

networks:
  traefik:
    external: 
      name: traefik

volumes:
  netdataconfig:
  netdatalib:
  netdatacache: